/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorValidateResultDetailProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorValidateResultDetailProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcefile]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイル。例: conf/BlancoNLpackGeneratorTranslationFragment.csv
     */
    private String fSourcefile;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイル。例: tmp/validate/BlancoNLpackGeneratorTranslationFragmentValidateLog.csv
     */
    private String fTargetfile;

    /**
     * フィールド [checkendoflineperiod]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * 文末のピリオドをチェックするかどうか。
     */
    private boolean fCheckendoflineperiod = true;

    /**
     * フィールド [checkcolon]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * コロン(:)をチェックするかどうか。
     */
    private boolean fCheckcolon = true;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcefile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイル。例: conf/BlancoNLpackGeneratorTranslationFragment.csv
     *
     * @param argSourcefile フィールド[sourcefile]に格納したい値
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド[sourcefile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイル。例: conf/BlancoNLpackGeneratorTranslationFragment.csv
     *
     * @return フィールド[sourcefile]に格納されている値
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイル。例: tmp/validate/BlancoNLpackGeneratorTranslationFragmentValidateLog.csv
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイル。例: tmp/validate/BlancoNLpackGeneratorTranslationFragmentValidateLog.csv
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [checkendoflineperiod]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 文末のピリオドをチェックするかどうか。
     *
     * @param argCheckendoflineperiod フィールド[checkendoflineperiod]に格納したい値
     */
    public void setCheckendoflineperiod(final boolean argCheckendoflineperiod) {
        fCheckendoflineperiod = argCheckendoflineperiod;
    }

    /**
     * フィールド[checkendoflineperiod]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * 文末のピリオドをチェックするかどうか。
     *
     * @return フィールド[checkendoflineperiod]に格納されている値
     */
    public boolean getCheckendoflineperiod() {
        return fCheckendoflineperiod;
    }

    /**
     * フィールド [checkcolon]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * コロン(:)をチェックするかどうか。
     *
     * @param argCheckcolon フィールド[checkcolon]に格納したい値
     */
    public void setCheckcolon(final boolean argCheckcolon) {
        fCheckcolon = argCheckcolon;
    }

    /**
     * フィールド[checkcolon]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * コロン(:)をチェックするかどうか。
     *
     * @return フィールド[checkcolon]に格納されている値
     */
    public boolean getCheckcolon() {
        return fCheckcolon;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorValidateResultDetailProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",checkendoflineperiod=" + fCheckendoflineperiod);
        buf.append(",checkcolon=" + fCheckcolon);
        buf.append("]");
        return buf.toString();
    }
}
